> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/formbuilder/form-builder-search-forms/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Search forms POST https://example.itential.io/formbuilder/forms/search Content-Type: application/json Searches forms with options. Reference: https://docs.itential.com/itential-cloud/api-reference/formbuilder/form-builder-search-forms ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `options` (object, optional) - `filter` (object, optional) - `startAt` (integer, optional) - `maxResults` (integer, optional) - `sort` (object, optional) - `fields` (list of enum, optional) - Allowed values: `name`, `children`, `elements`, `createddBy`, `created`, `lastUpdatedBy`, `lastUpdated` - `expand` (list of enum, optional) - Allowed values: `createdBy`, `lastUpdatedBy` ## Response ### 200 Array of objects containing forms - `list of object` - `name` (string, required) - `elements` (list of object, required) - `type` (string, required) - `id` (object, required) - `name` (string, required) - `children` (list of object, required) - `id` (string, required) - `type` (string, required) - `properties` (object, required) - `element` (string, optional) - `name` (string, optional) - `display_name` (string, optional) - `source_type` (enum, optional) - Allowed values: `service_model`, `custom`, `method` - `source` (string, optional) - `key` (string, optional) - `_id` (string, optional) - `groups` (list of string or map from string to any, optional) - `created` (string, optional) - `created_by` (any, optional) - `last_updated` (string, optional) - `last_updated_by` (any, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json [ { "name": "Form 123", "elements": [ { "type": "method", "id": { "name": "method_name_1" } } ], "children": [ { "id": "string", "type": "container", "properties": { "type": "leafref", "default": "string", "direction": "vertical", "enforce": true, "hidden": true, "max": "4", "maxLength": "4", "min": "1", "minLength": "1", "path": "/ncs:devices/ncs:device/ncs:name", "required": true }, "element": "{\"type\":\"service_model\",\"id\":{\"name\":\"/ncs:services/devices:stringified_json\"}", "name": "vlan_id_123", "display_name": "vlan", "source_type": "service_model", "source": "/ncs:services/abc_devices:ios.device", "key": "service.vlanid" } ], "_id": "string", "groups": [ {} ], "created": "2024-01-15T09:30:00Z", "last_updated": "2024-01-15T09:30:00Z" } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/formbuilder/forms/search" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/formbuilder/forms/search'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/formbuilder/forms/search" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/formbuilder/forms/search") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/formbuilder/forms/search") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/formbuilder/forms/search', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/formbuilder/forms/search"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/formbuilder/forms/search")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```